Skip to main content
PATCH
Update layer

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

layerKey
string<string>
required

The layer key

Body

application/json
instructions
object[]
required

The instructions to perform when updating. This should be an array with objects that look like {"kind": "update_action"}. Some instructions also require a value field in the array element.

Example:

"[{\"kind\": \"updateName\", \"name\": \"Updated layer name\"}]"

comment
string

Optional comment describing the update

Example:

"Optional comment"

environmentKey
string

The environment key used for making environment specific updates. For example, updating the reservation of an experiment

Example:

"production"

Response

Layer response

key
string
required

The key of the layer

Example:

"checkout-flow"

name
string
required

The name of the layer

Example:

"Checkout Flow"

description
string
required

The description of the layer

Example:

"The checkout flow for the application"

createdAt
integer<int64>
required

The date and time when the layer was created

randomizationUnit
string

The unit of randomization for the layer

Example:

"user"

environments
object

The layer configurations for each requested environment